Subject: Re: [Detnet] New Version Notification for draft-thubert-tsvwg-detnet-transport-00.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 10 Jul 2018 17:11:53 +0000

Hello Xuesong

Sorry for the delay...

Yes, that is exactly what we need to do and your help is welcome. Let us find some time at IETF, and if people wish to join an informal chat please let us know!

Cheers,

Pascal

From: Gengxuesong (Geng Xuesong) <[email-masked]>
Sent: mercredi 27 juin 2018 20:38
To: Pascal Thubert (pthubert) <[email-masked]>; [email-masked]
Subject: RE: New Version Notification for draft-thubert-tsvwg-detnet-transport-00.txt

Hi Pascal,

Here are some comments on draft-thubert-tsvwg-detnet-transport-01 (which needs to be updated perhaps ?).

1.      I suggest to split the origin draft into two drafts(as we discussed in IETF 101), including 1)Edge Node Functions and 2) end to end transportation protocol for Detnet (over UDP, or a totally new one);

2.      I think it is very important to define the behavior of DetNet edge node especially, in order to guarantee the detnet flows are transported into the detnet domain correctly.

3.      I draw two pictures : the first one shows the basic functions should be included in the edge node, and based on what is necessary,  more functions, covered by your draft, can be included into the picture; the second one shows what we plan to add into the detnet yang model, which shows the mapping from a client flow or flows(detnet, or non-detnet) to a detnet service instance. The general structure of these two pictures go along with each other.

                          Picture 1

     Picture 2

B. R.

Xuesong

>-----Original Message-----

>From: detnet [mailto:[email-masked]] On Behalf Of Pascal Thubert

>(pthubert)

>Sent: Tuesday, October 24, 2017 8:46 PM

>To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

>Subject: [Detnet] FW: New Version Notification for

>draft-thubert-tsvwg-detnet-transport-00.txt

>Dear all:

>At the last DetNet meeting in Prague, Janos introduced the DetNet SLA, and

>we discussed the need to adapt the application injection of data into packets

>that match this SLA.

>To my best understanding of what happened then, the chairs then insisted

>that this was beyond the current scope and we discussed in-room and then

>outside the room that there is a need for a component that relates to IETF

>transport in order to achieve the functions required by the architecture at the

>DetNet Service Layer.

>I put together the thoughts I gathered from those discussions in the form of

>an early draft and posted to TSVWG, which appeared to me as the natural

>place to discuss the topic.

>Please find the references below, comments welcome!

>Cheers,

>Pascal

>-----Original Message-----

>From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

>Sent: mardi 24 octobre 2017 14:37

>To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>

>Subject: New Version Notification for

>draft-thubert-tsvwg-detnet-transport-00.txt

>A new version of I-D, draft-thubert-tsvwg-detnet-transport-00.txt

>has been successfully submitted by Pascal Thubert and posted to the IETF

>repository.

>Name:             draft-thubert-tsvwg-detnet-transport

>Revision:         00

>Title:                A Transport Layer for Deterministic Networks

>Document date:    2017-10-24

>Group:             Individual Submission

>Pages:             21

>URL:

>https://www.ietf.org/internet-drafts/draft-thubert-tsvwg-detnet-transport-00<https://www.ietf.org/internet-drafts/draft-thubert-tsvwg-detnet-transport-00.txt>

>.txt<https://www.ietf.org/internet-drafts/draft-thubert-tsvwg-detnet-transport-00.txt>

>Status:

>https://datatracker.ietf.org/doc/draft-thubert-tsvwg-detnet-transport/

>Htmlized:

>https://tools.ietf.org/html/draft-thubert-tsvwg-detnet-transport-00

>Htmlized:

>https://datatracker.ietf.org/doc/html/draft-thubert-tsvwg-detnet-transport-0<https://datatracker.ietf.org/doc/html/draft-thubert-tsvwg-detnet-transport-00>

>0<https://datatracker.ietf.org/doc/html/draft-thubert-tsvwg-detnet-transport-00>

>Abstract:

>   This document specifies the behavior of a Transport Layer operating

>   over a Deterministic Network and implementing a DetNet Service Layer

>   and a Northbound side of the DetNet User-to-Network Interface.

>Please note that it may take a couple of minutes from the time of submission

>until the htmlized version and diff are available at tools.ietf.org.

>The IETF Secretariat

>_______________________________________________

>detnet mailing list

>[email-masked]<mailto:[email-masked]>

>https://www.ietf.org/mailman/listinfo/detnet